EUCA-CREATE-NAT-GATEWAY(1)

NAME
euca-create-nat-gateway - Create a new VPC NAT gateway

SYNOPSIS
euca-create-nat-gateway -s SUBNET -a ALLOC [--client-token TOKEN]

[--show-empty-fields] [-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Create a new VPC NAT gateway

  optional arguments:

-s SUBNET, --subnet-id SUBNET
    the subnet in which to create the new NAT gateway (required)

-a ALLOC, --allocation-id ALLOC
    the allocation ID of the Elastic IP address to associate with the NAT gateway (required)

--client-token TOKEN
    unique identifier to ensure request idempotency

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit